Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkcs12
Class SecretBag

    java.lang.Object
      |
      +--org.mozilla.jss.pkcs12.SecretBag

All Implemented Interfaces:
  ASN1Value

public class SecretBag
extends java.lang.Object
implements ASN1Value

Nested Class Summary
`static class` | `SecretBag.Template` A Template class for decoding SecretBags from BER.

Constructor Summary
`SecretBag(OBJECT_IDENTIFIER secretType, ASN1Value secret)` Creates a SecretBag with the given secret type and secret.

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`ANY` | `getSecret()` Returns the secret stored in the SecretBag.
`OBJECT_IDENTIFIER` | `getSecretType()` Returns the type of secret stored in the SecretBag.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static SecretBag.Template` | `getTemplate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecretBag

    public SecretBag(OBJECT_IDENTIFIER secretType,
                     ASN1Value secret)

  Creates a SecretBag with the given secret type and secret. Neither may be null.

Method Detail

### getSecretType

    public OBJECT_IDENTIFIER getSecretType()

  Returns the type of secret stored in the SecretBag.

### getSecret

    public ANY getSecret()

  Returns the secret stored in the SecretBag.

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### getTemplate

    public static SecretBag.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD